
# Vereinbarung über Verhaltenskodex für Mitwirkende

## Unsere Verpflichtung

Wir als Mitglieder, Teilnehmende und Verantwortliche unserer Gemeinschaft
verpflichten uns, allen Teilnehmenden an dem Projekt und unserer Gemeinschaft
eine belästigungsfreie Beteiligung, unabhängig von Alter, Körpergröße,
Behinderung, ethnischer Zuordnung, Geschlechtermerkmalen, -identität und
-ausdruck, Grad der Erfahrung, Bildung, sozialem Status, Nationalität,
persönlicher Erscheinung, Rasse, Kaste, Hautfarbe, Religion oder sexueller
Identität und Orientierung zu ermöglichen.

Wir verpflichten uns, in einer Weise zu handeln und zu interagieren, die zu
einer offenen, einladenden, vielfältigen, inklusiven und gesunden Gemeinschaft
beiträgt.

## Unsere Standards

Beispiele für Verhaltensweisen, die zu einem positiven Umfeld für unsere
Gemeinschaft beitragen, sind:

- Einfühlungsvermögen und Freundlichkeit gegenüber anderen Menschen zeigen
- Unterschiedliche Meinungen, Standpunkte und Erfahrungen respektieren
- Konstruktives Feedback geben und würdevoll annehmen
- Verantwortung übernehmen und uns bei denjenigen entschuldigen, die von
  unseren Fehlern betroffen sind, und aus den Erfahrungen lernen
- Konzentration auf das, was nicht nur für uns als Individuen, sondern für die
  gesamte Gemeinschaft das Beste ist

Beispiele für inakzeptables Verhalten sind:

- Die Verwendung sexualisierter Sprache, Bilder oder Symbolik sowie
  unerwünschte Versuche sexueller Annäherung
- Beleidigende oder abwertende Kommentare, persönliche oder politische Angriffe
  und Trollen
- Öffentliche oder private Belästigungen
- Das Veröffentlichen von privaten Informationen Anderer, wie zum Beispiel
  physische oder elektronische Adressen, ohne deren ausdrückliche Erlaubnis
- Anderes Verhalten, welches in einem professionellen Umfeld begründet als
  unangemessen betrachtet werden kann

## Verantwortlichkeiten bei der Durchsetzung

Die Gemeinschaftsleitung ist verantwortlich dafür, unsere Standards für ein
akzeptables Verhalten klarzustellen und wird angemessen und fair
korrigierende Maßnahmen ergreifen um auf jegliches Verhalten, das sie für
unangemessen, bedrohlich oder beleidigend hält, zu reagieren.

Die Gemeinschaftsleitung hat das Recht und die Verantwortung, Kommentare,
Commits, Code, Wiki-Bearbeitungen, Support-Tickets und andere Beiträge, die
nicht mit diesem Verhaltenskodex vereinbar sind, zu entfernen, zu bearbeiten
oder abzulehnen, und wird die Gründe für eine Mäßigung mitteilen, wenn es
angebracht ist.

## Geltungsbereich

Dieser Verhaltenskodex gilt für alle Gemeinschaftsbereiche und gilt auch, wenn
eine Einzelperson die Gemeinschaft offiziell in öffentlichen Bereichen
vertritt. Beispiele für die Repräsentation unserer Gemeinschaft sind die
Verwendung einer offiziellen E-Mail-Adresse, das Posten über ein offizielles
Social-Media-Konto oder das Auftreten als ernannte Vertretung bei einer Online-
oder Offline-Veranstaltung.

## Durchsetzung

Fälle von missbräuchlichem, belästigendem oder anderweitig inakzeptablem
Verhalten können unter [contato@incolume.com.br][mailto] der für die Durchsetzung
zuständigen Gemeinschaftsleitung gemeldet werden. Alle Beschwerden werden
zeitnah und fair geprüft und ermittelt.

Die gesamte Gemeinschaftsleitung ist verpflichtet, die Privatsphäre und die
Sicherheit derjenigen, die einen Vorfall gemeldet haben, zu respektieren.

## Durchsetzungsrichtlinien

Die Gemeinschaftsleitung wird sich bei der Bestimmung der Konsequenzen für
jede Handlung, die ihrer Ansicht nach gegen diesen Verhaltenskodex verstößt, an
diese Richtlinien über die Auswirkungen in der Gemeinschaft halten:

### 1. Berichtigung

**Auswirkungen in der Gemeinschaft**: Verwendung unangemessener Sprache oder
anderes Verhalten, das in der Gemeinschaft als unprofessionell oder
unwillkommen gilt.

**Folge**: Eine private, schriftliche Verwarnung der Gemeinschaftsleitung,
die Klarheit über die Art des Verstoßes und eine Erklärung dafür bietet, warum
das Verhalten unangemessen war. Eine öffentliche Entschuldigung kann verlangt
werden.

### 2. Verwarnung

**Auswirkungen in der Gemeinschaft**: Eine Verletzung durch einen einzelnen
Vorfall oder eine Reihe von Handlungen.

**Folge**: Eine Warnung mit Konsequenzen bei wiederholtem Fehlverhalten. Keine
Interaktion mit den beteiligten Personen, einschließlich unaufgeforderter
Interaktion mit denjenigen, die den Verhaltenskodex durchsetzen, für einen
bestimmten Zeitraum. Dazu gehört die Vermeidung von Interaktionen in
Gemeinschaftsräumen sowie in externen Kanälen wie sozialen Medien. Ein Verstoß
gegen diese Bedingungen kann zu einem vorübergehenden oder dauerhaften Verbot
führen.

### 3. Vorübergehender Ausschluss

**Auswirkungen in der Gemeinschaft**: Eine schwerwiegende Verletzung von
Gemeinschaftsstandards, einschließlich anhaltend unangemessenen Verhaltens.

**Folge**: Ein zeitlich begrenztes Verbot jeglicher Art von Interaktion oder
öffentlicher Kommunikation mit der Gemeinschaft. Während dieses Zeitraums ist
keine öffentliche oder private Interaktion mit den beteiligten Personen erlaubt.
Auch keine unaufgeforderte Interaktion mit denjenigen, die den Verhaltenskodex
durchsetzen. Ein Verstoß gegen diese Bedingungen kann zu einem dauerhaften
Verbot führen.

### 4. Dauerhafter Ausschluss

**Auswirkungen in der Gemeinschaft**: Aufzeigen eines Musters von Verletzungen
der Gemeinschaftsstandards, einschließlich anhaltend unangemessenen Verhaltens,
Belästigung einer Person oder Aggression gegen oder Herabsetzung von Gruppen
von Personen.

**Folge**: Ein dauerhaftes Verbot jeglicher Art von öffentlicher Interaktion
innerhalb der Gemeinschaft.

## Bezug

Dieser Verhaltenskodex basiert auf dem [Contributor Covenant][homepage],
Version 2.1, verfügbar unter
[https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

Community Impact Guidelines wurden von
[Mozillas Code of Conduct Enforcement Ladder][mozilla] inspiriert.

Antworten auf häufig gestellte Fragen zu diesem Verhaltenskodex finden Sie in
den häufig gestellten Fragen unter <https://www.contributor-covenant.org/faq>
(in Englisch). Andere Übersetzungen sind verfügbar unter
<https://www.contributor-covenant.org/translations>.

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[mozilla]: https://github.com/mozilla/inclusion
[mailto]: mailto:contato@incolume.com.br
