
# Codice di Comportamento del Collaboratore

## Il Nostro Impegno

Nell'interesse della promozione di un ambiente aperto e accogliente, noi
contributori e manutentori ci impegnamo a rendere la partecipazione alla nostra
comunità un'esperienza libera da molestie per tutti, indipendentemente dall'età,
corporatura, disabilità visibile o meno, etnia, caratteristiche sessuali,
identità ed espressione di genere, livello di esperienza, istruzione, stato
socio-economico, nazionalità, aspetto, razza, casta, colore della pelle,
religione o identità e orientamento sessuale.

Noi ci impegniamo ad agire ed interagire per costruire una comunità aperta,
accogliente, diversificata, inclusiva e sana.

## I nostri Standard

Esempi di comportamenti che contribuiscono alla creazione di un ambiente
positivo per la nostra comunità:

* Dimostrare empatia e gentilezza verso le altre persone
* Rispettare le opinioni, i punti di vista ed esperienze differenti
* Fornire, con garbo, critiche costruttive
* Prendersi la responsabilità di quanto sostenuto e scusarsi verso le persone
  colpite dai nostri sbagli, imparando da queste esperienze
* Concentrarsi non su ciò che è meglio per noi come individui, ma su ciò che è
  meglio per la comunità

Esempi di comportamento inaccettabile:

* L'uso di linguaggio o immagini sessualizzate e l'attenzione sessuale o avance
  indesiderate
* Comportamenti da troll, commenti offensivi e attacchi personali o politici
* Molestie in pubblico o in privato
* Pubblicazione di informazioni private altrui, ad esempio un indirizzo postale
  o elettronico, senza autorizzazione esplicita
* Altri comportamenti che potrebbero ragionevolmente essere considerati
  inappropriati in un contesto professionale

## Adempimento e Responsabilità

Le persone alla guida della comunità sono responsabili del chiarimento e
dell'applicazione degli standard di comportamento accettabili e sono tenuti a
intraprendere azioni correttive appropriate ed eque in risposta a qualsiasi caso
di comportamento inaccettabile, minaccioso, offensivo o dannoso.

Le persone alla guida della comunità hanno il diritto e la responsabilità di
rimuovere, modificare o rifiutare commenti, commit, codice, modifiche dei wiki,
issue e altri contributi non allineati a questo Codice di Comportamento,
comunicando le ragioni dell'intervento di moderazione quando opportuno.

## Scopo

Questo Codice di Comportamento si applica sia all'interno degli spazi della
comunità che negli spazi pubblici quando un individuo rappresenta la sua
comunità. Esempi di rappresentanza della nostra comunità includono l'uso di un
indirizzo e-mail ufficiale del progetto, la pubblicazione tramite un account
ufficiale attraverso social media o la funzione di rappresentante designato ad
un evento online o offline.

## Applicazione

I casi di comportamento abusivo, molesto o altrimenti inaccettabile possono
essere presentate contattando i responsabili dell'applicazione di questo Codice
di Condotta della comunità all'indirizzo [contato@incolume.com.br][mailto]. Tutti i
reclami saranno prontamente esaminati ed indagati.

Tutte le guide della comunità sono obbligate a mantenere la riservatezza della
persona che ha riportato il caso.

## Linee guida all'applicazione

Le guide della comunità seguiranno queste linee guida per determinare le azioni
correttive contro azioni che ritengono violare questo Codice di Condotta:

### 1. Correzione

**Impatto nella comunità**: Uso di linguaggio inappropriato o altri
comportamenti giudicati non professionali o ostili nella community.

**Conseguenze**: Un avviso scritto in forma privata dalle guide della comunità,
spiegando la natura della violazione e perché il comportamento era
inappropriato. Pubbliche scuse potrebbero essere richieste.

### 2. Avviso

**Impatto nella comunità**: Una violazione dopo un episodio avvenuto o una serie
di azioni negative.

**Conseguenze**: Un avviso per il comportamento perpetrato. Nessuna
comunicazione per un periodo di tempo specificato con le persone coinvolte,
incluse quelle che applicano il Codice di Condotta. Questo comprende
l'inibizione alla partecipazione negli spazi della comunità come canali esterni
quali i social media. Violare questi termini può portare ad una espulsione
temporanea o permanente.

### 3. Espulsione temporanea

**Impatto nella comunità**: Una grave violazione agli standard della comunità,
incluso mantenere un comportamento inappropriato.

**Conseguenze**: Espulsione temporanea per un periodo di tempo specificato a
qualsiasi sorta di interazione o comunicazione con la comunità. Durante questo
periodo non è permesso nessun dialogo pubblico o privato con le persone
coinvolte, comprese coloro che applicano il Codice di Condotta. Violare questi
termini può portare ad una espulsione permanente.

### 4. Espulsione permanente

**Impatto nella comunità**: Dimostrare sistematicamente di violare gli standard
della comunità, inclusa la ripetizione di comportamenti inappropriati, molestie
o aggressioni individuali o denigrazione di gruppi di individui.

**Conseguenze**: Espulsione permanente da ogni interazione pubblica della
comunità.

## Attribuzione

Questo Codice di Comportamento è adattato dal [Contributor Covenant][homepage],
versione 2.1, disponibile all'indirizzo
[https://www.contributor-covenant.org/version/2/1/code_of_conduct][v2.1].

Le linee guida all'applicazione sono state ispirate dal [codice di condotta di
Mozilla][Mozilla CoC].

Per riposte a domande comuni riguardo questo codice di condotta,controlla le
domande frequenti al link [https://www.contributor-covenant.org/faq][FAQ]. Le
traduzioni sono disponibili al link
[https://www.contributor-covenant.org/translations][translations].

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations
[mailto]: mailto:contato@incolume.com.br
