
# Código de Conduta do Contribuinte

## Nosso Compromisso

Nós, como membros, colaboradores e líderes, nos comprometemos a fazer a participação em nosso
comunidade uma experiência livre de assédio para todos, independentemente da idade, corpo
tamanho, deficiência visível ou invisível, etnia, características sexuais, gênero
identidade e expressão, nível de experiência, educação, status socioeconômico,
nacionalidade, aparência pessoal, raça, casta, cor, religião ou
identidade e orientação.

Comprometemo-nos a agir e interagir de forma a contribuir para um ambiente aberto, acolhedor,
comunidade diversificada, inclusiva e saudável.

## Nossos padrões

Exemplos de comportamentos que contribuem para um ambiente positivo para os nossos
comunidade incluem:

* Demonstrar empatia e bondade para com outras pessoas
* Ser respeitoso com as diferentes opiniões, pontos de vista e experiências
* Dar e aceitar graciosamente feedback construtivo
* Aceitar a responsabilidade e pedir desculpas aos afetados por nossos erros,
  e aprendendo com a experiência
* Concentrar-se no que é melhor não apenas para nós como indivíduos, mas para o geral
  comunidade

Exemplos de comportamento inaceitável incluem:

* O uso de linguagem ou imagens sexualizadas e atenção sexual ou avanços de
  qualquer tipo
* Trolling, comentários insultuosos ou depreciativos e ataques pessoais ou políticos
* Assédio público ou privado
* Publicar informações privadas de outras pessoas, como endereço físico ou de e-mail,
  sem sua permissão explícita
* Outras condutas que possam ser razoavelmente consideradas inadequadas em um
  ambiente profissional

## Responsabilidades de Execução

Os líderes comunitários são responsáveis por esclarecer e fazer cumprir nossos padrões de
comportamento aceitável e tomará as medidas corretivas apropriadas e justas
resposta a qualquer comportamento que considerem inadequado, ameaçador, ofensivo,
ou prejudicial.

Os líderes da comunidade têm o direito e a responsabilidade de remover, editar ou rejeitar
comentários, commits, código, edições wiki, questões e outras contribuições que são
não alinhado a este Código de Conduta, e comunicará os motivos da moderação
decisões quando apropriado.

## Alcance

Este Código de Conduta aplica-se a todos os espaços comunitários e também quando
um indivíduo está representando oficialmente a comunidade em espaços públicos.
Exemplos de representação de nossa comunidade incluem o uso de um endereço de e-mail oficial,
postar por meio de uma conta oficial de mídia social ou agindo como um
representante em um evento online ou offline.

## Aplicação

Casos de comportamento abusivo, de assédio ou de outra forma inaceitável podem ser
reportado aos líderes comunitários responsáveis pela fiscalização
[contato@incolume.com.br][mailto].
Todas as reclamações serão analisadas e investigadas prontamente e de forma justa.

Todos os líderes comunitários são obrigados a respeitar a privacidade e a segurança do
relator de qualquer incidente.

## Diretrizes de aplicação

Os líderes comunitários seguirão estas Diretrizes de Impacto na Comunidade para determinar
as consequências de qualquer ação que considerem violar este Código de Conduta:

### 1. Correção

**Impacto na comunidade**: uso de linguagem imprópria ou outro comportamento considerado
pouco profissional ou indesejável na comunidade.

**Consequência**: Uma advertência privada por escrito dos líderes comunitários, fornecendo
clareza sobre a natureza da violação e uma explicação de por que o
comportamento era inadequado. Um pedido de desculpas público pode ser solicitado.

### 2. Aviso

**Impacto na comunidade**: uma violação por meio de um único incidente ou série de
ações.

**Consequência**: um aviso com consequências para o comportamento continuado. Não
interação com as pessoas envolvidas, incluindo interação não solicitada com
aqueles que aplicam o Código de Conduta, por um período de tempo especificado. Isto
inclui evitar interações em espaços comunitários, bem como canais externos
como as redes sociais. A violação destes termos pode levar a uma suspensão temporária ou permanente
banimento.

### 3. Banimento Temporário

**Impacto na comunidade**: uma violação grave dos padrões da comunidade, incluindo
comportamento inadequado sustentado.

**Consequência**: banimento temporário de qualquer tipo de interação ou público
comunicação com a comunidade por um determinado período de tempo. Nenhum público ou
interação privada com as pessoas envolvidas, incluindo interação não solicitada
com aqueles que aplicam o Código de Conduta, é permitido durante este período.
A violação destes termos pode levar a um banimento permanente.

### 4. Banimento Permanente

**Impacto na comunidade**: Demonstrando um padrão de violação da comunidade
padrões, incluindo comportamento inadequado sustentado, assédio de um
indivíduo, ou agressão ou depreciação de classes de indivíduos.

**Consequência**: banimento permanente de qualquer tipo de interação pública dentro do
comunidade.

## Atribuição

Este Código de Conduta é adaptado do [Contributor Covenant][homepage],
versão 2.1, disponível em
[https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

As Diretrizes de Impacto na Comunidade foram inspiradas por
[Escada de aplicação do código de conduta da Mozilla][Mozilla CoC].

Para obter respostas a perguntas comuns sobre este código de conduta, consulte as Perguntas frequentes em
[https://www.contributor-covenant.org/faq][FAQ]. As traduções estão disponíveis em
[https://www.contributor-covenant.org/translations][translations].

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations
[mailto]: mailto:contato@incolume.com.br